+++
title = "Projects"
menu = "main"
+++

Here is a quick list of my personal projects, both previous and active! Most of them are MIT licensed, with a couple exceptions.

# YouTube
---------------

I do have a YouTube channel at https://www.youtube.com/@RageCageCodes-ik2ue. I only have one video as of writing, I was thinking I might make more but I found making tutorial content not as exciting as I'd hope. I'm keeping it on the backburner just in case!

# Tools and Libraries
---------------
### yamlfmt https://github.com/google/yamlfmt

#### Language: Go

A command line yaml formatting tool, also structured as a library for extensibility or custom wrappers.

### go-utf8-codepoint-converter https://github.com/RageCage64/go-utf8-codepoint-converter

#### Language: Go

Tool to convert UTF-8 codepoint text to the unicode character the text represents.

### Fluent Bit Lua Tester https://github.com/RageCage64/flb_lua_tester

#### Language: Rust

Allows you to run Lua scripts meant for Fluent Bit scripting in a sanitized environment with specific input and expected output.

### collections-go https://git.ragecage64.com/RageCage64/collections-go

#### Language: Go

A library that implements common data structures for Go with best possible time complexity and minimal allocations.

### multilinediff https://git.ragecage64.com/RageCage64/multilinediff

#### Language: Go

A library to write multiline diff output to the command line.

# Open Source Work
---------------

Most of my open source work is done under my Google Github profile: https://github.com/braydonk

### Fluent Bit https://github.com/fluent/fluent-bit

#### Language: C

An open source observability agent, which we use on my team at Google as part of the Ops Agent. I help fix a number of bugs in Fluent Bit, as well as doing code reviews and maintenance on the `out_stackdriver` plugin.

### Monkey https://github.com/monkey/monkey

#### Language: C

An HTTP server written in C. It is a crucial component of Fluent Bit, and I have done some work on this repo to support fixes in Fluent Bit, as well as adding testing to the repo.

### OpenTelemetry https://github.com/open-telemetry

#### Language: Go

Contributing to OpenTelemetry in a couple of ways, such as logging specification participation and contributing to the Collector. I also work a lot on [Google's OpenTelemetry Collector Distribution](https://github.com/GoogleCloudPlatform/opentelemetry-operations-collector).

# Gaming
---------------

### TrustFall https://git.ragecage64.com/RageCage64/TrustFall

#### Language: C++

A Root Beer Tapper ripoff that I wrote as a school project. Uses Allegro 5 because I had to (well technically I had to use 4 but I refused to do that and accepted the consequences).

### SpaceForce https://git.ragecage64.com/RageCage64/SpaceForce

#### Language: C++

A SHMUP that I wrote also for a school project.

### SeeNoEvil https://git.ragecage64.com/RageCage64/SeeNoEvil

#### Language: C#

My entry to the 8-bits-to-infinity game jam. I sadly did not save the assets, which is too bad but my partner who drew them insists they weren't worth keeping. I thought they looked pretty good. :D  
The main thing I want to extract out of this is the code that worked with [Tiled](https://www.mapeditor.org/), I thought it was reasonably sophisticated for something I coded in under a week. Would be cool to extract it into a standalone library.
