+++
title = "Talks"
menu = "main"
+++

This is a collection of public recorded talks I've done.

# Prepared Talks

## Deep Dive: How Fluent Bit Collects File Logs

https://www.youtube.com/watch?v=KrlvWBCGagI

This is my talk for Observability Day North America, a co-located event with KubeCon NA 2024. It was a lightning talk, but it ended up being a really dense talk and probably could have been full-sized. To compensate, I talked really fast!

T-shirt: Iron Maiden

## Tuning OTel Collector Performance Through Profiling

https://www.youtube.com/watch?v=qMxxjB4meXo

This was a talk for OpenTelemetry Community Day 2024. It goes through my experience profiling parts of the OpenTelemetry Collector to find performance improvements.

Retractions: One of the solutions I talked about in this talk for Windows getting Parent Process ID had a flawed premise, ignoring the fact that the increase in WMI memory usage did offset the gains made in the Collector. So it ended up not being that big of a win, and we're still working to find another alternate method for getting Parent Process ID.

T-shirt: Brook from One Piece Wanted Poster

## How Much Overhead: How to Evaluate Observability Agent Performance

https://www.youtube.com/watch?v=BIaftvtFPHg

This is my talk for Observability Day 2023, a co-located event with KubeCon NA 2023. It was inspired by situations at work where people would ask things like "which agent has less overhead?" without fully qualifying their goals. I wanted to break down the problem down into more actionable pieces.

T-shirt: Meshuggah Catch-33

## Learning To Fly: How to Find Bottlenecks in your Agents

https://www.youtube.com/watch?v=jf7t1CpoKlg&t=176s

This was a remote talk I did for the [Is It Observable](https://www.youtube.com/@isitobservable) YouTube channel (awesome channel, highly recommend subscribing). This was perhaps the hardest I ever prepared for a talk, because it came with an in-depth [reproducible demo](https://github.com/braydonk/learning-to-fly-lightning-talk), that ran in a Dockerfile and included code to graph OpenTelemetry Metrics directly in the CLI. It was a lot of fun to prepare and I think it's one of my best talks. If you can get around the fact that my mic sounded TERRIBLE).

T-shirt: Zoro from One Piece

Background friend: A plush of the character Acrid from my favourite video game, Risk of Rain 2

# Tutorials

## 5 Levels of Go Error Handling

https://www.youtube.com/watch?v=y5utZCeHys0&t=1s

This was my one attempt at "content creation". It's a relatively beginner-focused tutorial about Go error handling and how to do some more advanced things. The video was picked up by the algorithm this past summer and started getting a lot more attention. I'm not completely cutting myself off from making more videos in the future, but I did not have as much fun as I thought I would making this video so I'm not sure if I'll make more. I think this tutorial is pretty good for what it is though and I'll keep it around anyway!

T-shirt: It's obscured!

Background friend: Acrid from Risk of Rain 2 again

# Interviews

## KubeCon NA 2024 with Is It Observable

https://www.youtube.com/watch?v=qf0OjAEzprs&t=365s

This was an interview with the [Is It Observable](https://www.youtube.com/@isitobservable) YouTube channel. I talked a bit about the talk I was giving the next day at Observability Day, as well as some general best practices for managing performance of agents collecting logs.

T-shirt: Coheed and Cambria, Vaxis II tour shirt

## Humans of OTel - KubeCon NA 2024

https://www.youtube.com/watch?v=TIMgKXCeiyQ

I was featured in the Humans of OTel series of interviews at KubeCon NA 2024, along with a lot of amazing peers from the OpenTelemetry Community!

T-shirt: Video filmed too high to tell!

## KubeCon NA 2023 with Is It Observable

https://www.youtube.com/watch?v=5arixRhAIbs&t=161s

An interview with [Is It Observable](https://www.youtube.com/@isitobservable) from KubeCon NA 2023. This was my first time doing something like this so I was definitely more nervous, but it was great practice!

T-shirt: Meshuggah Catch 33
